import { HTTPResponse, Page } from "puppeteer";
import { CookieRecorder } from "./recorder/cookie-recorder.js";
import { BeaconRecorder } from "./recorder/beacon-recorder.js";
import { GotProxyConfiguration } from "../lib/proxy_config.js";
import { BrowserSession, Hosts } from "./browser-session.js";
export declare class PageSession {
    private browserSession;
    private output;
    refs_regexp: RegExp;
    cookieRecorder: CookieRecorder;
    beaconRecorder: BeaconRecorder;
    constructor(browserSession: BrowserSession, output: any);
    get page(): Page;
    get hosts(): Hosts;
    get webSocketLog(): any;
    initialize(): Promise<void>;
    setupEventListeners(): void;
    gotoPage(url: any): Promise<HTTPResponse | null>;
    shouldSkipLink(link: string, proxyConfig: undefined | GotProxyConfiguration): Promise<boolean>;
    browseSamples(page: Page, localStorage: any, root_uri: any, firstPartyLinks: any, userSetLinks: any): Promise<any[]>;
    takeScreenshots(): Promise<{
        screenshot_top: string;
        screenshot_bottom: string;
        screenshot_full: string;
    }>;
}
